# We must use a GitHub snapshot because the PyPI sdist lacks the LICENSE file
# (https://github.com/MobileDynasty/pytest-env/issues/6) and releases are not
# tagged on GitHub.
%global commit afb13a0e908f649b69273f299262ac12f1b71113
%global snapdate 20170617

Name:           python-pytest-env
Version:        0.6.2
%global egg_version %(echo '%{version}' | cut -d '^' -f 1)
Release:        1.%{snapdate}git%(echo '%{commit}' | cut -b -7)%{?dist}
Summary:        Plugin for pytest that allows you to add environment variables

License:        MIT
URL:            https://github.com/MobileDynasty/pytest-env
Source0:        %{url}/archive/%{commit}/pytest-env-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# setup.py: install_requires
BuildRequires:  python%{python3_pkgversion}-pytest >= 2.6

%global common_description %{expand: \
This is a py.test plugin that enables you to set environment variables in the
pytest.ini file.}

%description
%{common_description}


%package -n     python%{python3_pkgversion}-pytest-env
Summary:        %{summary}

# setup.py: install_requires
Requires:       python%{python3_pkgversion}-pytest >= 2.6

%description -n python%{python3_pkgversion}-pytest-env
%{common_description}


%prep
%autosetup -n pytest-env-%{commit}


%build
%py3_build


%install
%py3_install


%check
# Upstream has no tests.
%py3_check_import pytest_env pytest_env.plugin


%files -n python%{python3_pkgversion}-pytest-env
%license LICENSE
%doc README.md

%{python3_sitelib}/pytest_env
%{python3_sitelib}/pytest_env-%{egg_version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.1-1.20170608git8f5339a
- Initial package for EPEL7
